package com.zaleznosci.witajswiecie;

import com.facebook.react.ReactPackage;
import com.facebook.react.bridge.JavaScriptModule;
import com.facebook.react.bridge.NativeModule;
import com.facebook.react.bridge.ReactApplicationContext;
import com.facebook.react.uimanager.ViewManager;

import java.util.ArrayList;
import java.util.Collections;
import java.util.List;

public class WitajSwieciePackage implements ReactPackage {
  @Override
  public List<NativeModule> 
    createNativeModules(ReactApplicationContext kontekstReact) {
    List<NativeModule> moduly = new ArrayList<>();
    moduly.add(new ModulWitajSwiecie(kontekstReact));
    return moduly;
  }

  @Override public List<ViewManager> 
    createViewManagers(ReactApplicationContext kontekstReact) {
    return Collections.emptyList();
  }
}
